# BUTLER

## Дворецкий Константин

Телеграм бот который тегает активных (которых бот видел) участников группы

### Как пользоваться

- Добавить в чат
- Попросить всех участников поприветствовать бота
- Написать сообщение с @all/@все или сообщение "Ау" (регистр последнего не важен)

### Конфигурация и запуск

Для работы создать файл ```.env```

Локально

```txt
TELEGRAM_TOKEN=your_token
POSTGRES_URL_CONNECT=postgresql://user:password@hos:port/db?sslmode=disable
```

```sh
go run cmd/butler/main.go
```

### Сборка

Для arm

```sh
GOOS=linux GOARCH=arm go build -o butler cmd/butler/main.go
```

Для x64

```sh
GOOS=linux GOARCH=amd64 go build -o butler cmd/butler/main.go
```
